package com.loafle.overflow.module.infra.service;

import com.loafle.overflow.module.infra.model.InfraOS;
import com.loafle.overflow.module.infra.model.InfraOSApplication;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.codehaus.jackson.map.ObjectMapper;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 7. 28.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class InfraOSApplicationServiceTest {

    @Autowired
    private InfraOSApplicationService infraOSApplicationService;

    @Ignore
    @Test
    public void regist() throws Exception {
        InfraOSApplication infraOSApplication = new InfraOSApplication();

        infraOSApplication.setName("Apache");

        InfraOS infraOS = new InfraOS();
        infraOS.setId(1);

        infraOSApplication.setOs(infraOS);

        this.infraOSApplicationService.regist(infraOSApplication);


        Assert.assertNotEquals(infraOSApplication.getId(), 0);

    }

    @Test
    public void read() throws Exception {

        InfraOSApplication infraOSApplication = this.infraOSApplicationService.read(1);

        Assert.assertNotNull(infraOSApplication);

        ObjectMapper objectMapper = new ObjectMapper();

        String json = objectMapper.writeValueAsString(infraOSApplication);
        System.out.println(json);

    }

}